# Class UtilsServiceInstance

#### Hierarchy (view full)

- RWSService
  - UtilsServiceInstance

- Defined in src/services/UtilsService.ts:7

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_startTime
_instances

### Methods

endExecTimeRecord
filterNonEmpty
findRootWorkspacePath
getCurrentLineNumber
getRWSVar
getReloadable
isInterface
reloadService
setRWSVar
startExecTimeRecord
getSingleton

## Constructors

### constructor

- new UtilsServiceInstance(): UtilsServiceInstance

- #### Returns UtilsServiceInstance

  Inherited from RWSService.constructor

  - Defined in src/services/_service.ts:4

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Private` _startTime

_startTime: [number, number]

- Defined in src/services/UtilsService.ts:8

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### endExecTimeRecord

- endExecTimeRecord(): number

- #### Returns number

  - Defined in src/services/UtilsService.ts:15

### filterNonEmpty

- filterNonEmpty<T>(arr): T[]

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### arr: T[]

  #### Returns T[]

  - Defined in src/services/UtilsService.ts:29

### findRootWorkspacePath

- findRootWorkspacePath(currentPath): string

- #### Parameters

  - ##### currentPath: string

  #### Returns string

  - Defined in src/services/UtilsService.ts:66

### getCurrentLineNumber

- getCurrentLineNumber(error?): Promise<number>

- #### Parameters

  - ##### error: Error = null

  #### Returns Promise<number>

  - Defined in src/services/UtilsService.ts:82

### getRWSVar

- getRWSVar(fileName): string

- #### Parameters

  - ##### fileName: string

  #### Returns string

  - Defined in src/services/UtilsService.ts:38

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### isInterface

- isInterface<T>(func): func is T

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### func: any

  #### Returns func is T

  - Defined in src/services/UtilsService.ts:34

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### setRWSVar

- setRWSVar(fileName, value): void

- #### Parameters

  - ##### fileName: string

  - ##### value: string

  #### Returns void

  - Defined in src/services/UtilsService.ts:54

### startExecTimeRecord

- startExecTimeRecord(): void

- #### Returns void

  - Defined in src/services/UtilsService.ts:10

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc